#!/bin/bash

switch=$1

if [ "$switch" == "chown" ]; then
	mountpoint=$2
	user_name=$3
	if [ x"$user_name" != x ]; then
		group_name=`groups $user_name | awk '{print $3}'`
		if [ x"$group_name" != x ]; then
			chown $user_name:$group_name $mountpoint >/dev/null 2>&1
		fi
	fi
elif [ "$switch" == "mount" ]; then
	unix_device=$2
	mountpoint=$3
	mkdir $mountpoint >/dev/null 2>&1
	mount $unix_device $mountpoint >/dev/null 2>&1
elif [ "$switch" == "umount" ]; then
	unix_device=$2
	mountpoint=$3
	umount $unix_device >/dev/null 2>&1
	rmdir $mountpoint >/dev/null 2>&1
fi
